Bug 219384 - TB3ff0bf74 rpmsack.py:121:searchPrco:TypeError: list objects are unhashable
TB3ff0bf74 rpmsack.py:121:searchPrco:TypeError: list objects are unhashable
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Jeremy Katz
Depends On:
  Show dependency treegraph
Reported: 2006-12-12 16:06 EST by David Florence
Modified: 2014-01-21 17:56 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-04-25 14:57:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
TB3ff0bf74 rpmsack.py:121:searchPrco:TypeError (1.80 KB, text/plain)
2006-12-12 16:06 EST, David Florence
no flags Details

  None (edit)
Description David Florence 2006-12-12 16:06:13 EST
Description of problem:
yum crashes attempting to remove and update jre

Version-Release number of selected component (if applicable):
jre 1.5.0_09
jre 6 linux

How reproducible:

Steps to Reproduce:
1. install jre-6-linux-amd64.rpm
2. remove jre-5-linux-amd94.rpm
Actual results:
yum crash

Expected results:
software installer to either update package or remove old package.

Additional info:
see attached file
Comment 1 David Florence 2006-12-12 16:06:13 EST
Created attachment 143447 [details]
TB3ff0bf74 rpmsack.py:121:searchPrco:TypeError
Comment 2 Reindl Harald 2007-04-03 14:47:11 EDT
Same happens if you have installed the original openoffice-package 2.1/2.2 and
try to use yum-utils to look for troubles:

[root@nb ZendStudio]# package-cleanup --problems
Setting up yum
Excluding Packages in global exclude list
Reading local RPM database
Processing all local requires
Traceback (most recent call last):
  File "/usr/bin/package-cleanup", line 402, in ?
  File "/usr/bin/package-cleanup", line 399, in main
    provsomething = buildProviderList(my,pkgs,opts.problems)
  File "/usr/bin/package-cleanup", line 85, in buildProviderList
    resolve_sack = my.rpmdb.whatProvides(req,rflags,ver)
  File "/usr/lib/python2.4/site-packages/yum/rpmsack.py", line 390, in whatProvides
    pkgs = self.searchProvides(name)
  File "/usr/lib/python2.4/site-packages/yum/rpmsack.py", line 141, in
    return self.searchPrco(name, 'provides')
  File "/usr/lib/python2.4/site-packages/yum/rpmsack.py", line 123, in searchPrco
    if not result.has_key(po.pkgid):
TypeError: list objects are unhashable
Comment 3 Jeremy Katz 2007-04-25 14:57:31 EDT
This is a bug with the packages, but we should be handling it better for F7

Note You need to log in before you can comment on or make changes to this bug.